# Asterisk Project : Asterisk 13 Function_CALENDAR_QUERY

Created by wikibot on Aug 08, 2014

# CALENDAR_QUERY()

### Synopsis

Query a calendar server and store the data on a channel

### Description

Get a list of events in the currently accessible timeframe of the calendar The function returns the id for accessing the result with CALENDAR_QUERY_RESULT()

### Syntax

    CALENDAR_QUERY(calendar[,start[,end]])

##### Arguments

- `calendar` - The calendar that should be queried
- `start` - The start time of the query (in seconds since epoch)
- `end` - The end time of the query (in seconds since epoch)

### See Also

- Asterisk 13 Function_CALENDAR_BUSY
- Asterisk 13 Function_CALENDAR_EVENT
- Asterisk 13 Function_CALENDAR_QUERY_RESULT
- Asterisk 13 Function_CALENDAR_WRITE

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538